summaryrefslogtreecommitdiffstats
path: root/system/univga-font/univga-font.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-05-28 08:40:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 23:45:45 +0700
commit13701fa3a6ba025dbfbcee84a9b8709d9a5abba8 (patch)
treec0076e22b9f8eae6280ea0b0e23c290b4db29fd2 /system/univga-font/univga-font.SlackBuild
parentbef619bf6d77615b9397ee97565404438d8a7787 (diff)
downloadslackbuilds-13701fa3a6ba025dbfbcee84a9b8709d9a5abba8.tar.gz
slackbuilds-13701fa3a6ba025dbfbcee84a9b8709d9a5abba8.tar.xz
system/univga-font: Added (unicode terminal font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/univga-font/univga-font.SlackBuild')
-rw-r--r--system/univga-font/univga-font.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/system/univga-font/univga-font.SlackBuild b/system/univga-font/univga-font.SlackBuild
new file mode 100644
index 0000000000..8a4f44caa0
--- /dev/null
+++ b/system/univga-font/univga-font.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for univga-font
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# VERSION taken from the datestamp of the tarball.
+
+PRGNAM=univga-font
+VERSION=${VERSION:-20021031}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+TARNAME=uni-vga
+DIRNAME=${TARNAME/-/_}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $DIRNAME
+tar xvf $CWD/$TARNAME.tgz
+cd $DIRNAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# modern perl needs a slight change to the bdf2psf.pl script, and modern
+# psfaddtable has different options than whatever this was written for.
+patch -p1 < $CWD/buildfix.diff
+
+# The console fonts. They're very similar to the ones shipped with the kbd
+# package, but not identical.
+make allfonts
+mkdir -p $PKG/usr/share/kbd/consolefonts/
+for i in *.psf; do
+ gzip -9c < $i > $PKG/usr/share/kbd/consolefonts/${i}u.gz
+done
+
+# The X font. Use with xterm or such, very nice.
+mkdir -p $PKG/usr/share/fonts/misc
+gzip -9c < u_vga16.bdf > $PKG/usr/share/fonts/misc/u_vga16.bdf.gz
+
+# thought about using PCF instead, it's a trade-off: the compiled PCF is
+# bigger than the BDF, and after gzipping both, it's still bigger. The
+# BDF supposedly takes longer to load when first accessed, but I doubt
+# anyone's got a slow enough system to notice.
+
+#bdftopcf -t u_vga16.bdf | gzip -9c > $PKG/usr/share/fonts/misc/u_vga16.pcf.gz
+
+# include the converter script, someone might find it useful.
+mkdir -p $PKG/usr/bin
+install -m0755 bdf2psf.pl $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.lsm $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}